OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.DebugLabel

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTDebugLabel :: MonadIO m => m Bool
- gl_EXT_debug_label :: Bool
- pattern GL_BUFFER_OBJECT_EXT :: GLenum
- pattern GL_PROGRAM_OBJECT_EXT :: GLenum
- pattern GL_PROGRAM_PIPELINE_OBJECT_EXT :: GLenum
- pattern GL_QUERY_OBJECT_EXT :: GLenum
- pattern GL_SAMPLER :: GLenum
- pattern GL_SHADER_OBJECT_EXT :: GLenum
- pattern GL_TRANSFORM_FEEDBACK :: GLenum
- pattern GL_VERTEX_ARRAY_OBJECT_EXT :: GLenum
- glGetObjectLabelEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glLabelObjectEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()

# Extension Support

glGetEXTDebugLabel :: MonadIO m => m Bool Source #

Is the EXT_debug_label extension supported?

gl_EXT_debug_label :: Bool Source #

Is the EXT_debug_label extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDebugLabel` in those cases instead.

# Enums

pattern GL_BUFFER_OBJECT_EXT :: GLenum Source #

pattern GL_PROGRAM_OBJECT_EXT :: GLenum Source #

pattern GL_PROGRAM_PIPELINE_OBJECT_EXT :: GLenum Source #

pattern GL_QUERY_OBJECT_EXT :: GLenum Source #

pattern GL_SAMPLER :: GLenum Source #

pattern GL_SHADER_OBJECT_EXT :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK :: GLenum Source #

pattern GL_VERTEX_ARRAY_OBJECT_EXT :: GLenum Source #

# Functions

glGetObjectLabelEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `object`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `label` pointing to `bufSize` elements of type `GLchar`.
-> m () |

glLabelObjectEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `object`.
-> GLsizei | `length`.
-> Ptr GLchar | `label`.
-> m () |